net.sourceforge.pmd.renderers

## Class TextPadRenderer

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.renderers.AbstractRenderer
    - - net.sourceforge.pmd.renderers.AbstractIncrementingRenderer
      - - net.sourceforge.pmd.renderers.TextPadRenderer

All Implemented Interfaces:
  PropertySource, Renderer

    public class TextPadRenderer
    extends AbstractIncrementingRenderer

A Renderer for running PMD via a TextPad 'tool'. TextPad is a text editor by Helios Software Solutions.

Output lines are in the form:

`pathtojavafile(line#, NameOfRule): Specific rule violation message`

For example:

`D:\java\pmd\src\src\net\sourceforge\pmd\renderers\TextPadRenderer.java(24, AtLeastOneConstructor): Each class should declare at least one constructor
D:\java\pmd\src\src\net\sourceforge\pmd\renderers\TextPadRenderer.java(26, VariableNamingConventionsRule): Variables should start with a lowercase character
D:\java\pmd\src\src\net\sourceforge\pmd\renderers\TextPadRenderer.java(31, ShortVariable): Avoid variables with short names`

Author:
  Jeff Epstein, based upon EmacsRenderer, Tuesday, September 23, 2003

### Field Summary

Fields
`static String` `NAME`

### Fields inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

`errors, suppressed`

### Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

`description, name, propertyDefinitions, showSuppressedViolations, writer`

### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

`propertyDescriptors, propertyValuesByDescriptor`

### Constructor Summary

Constructors
Constructor and Description
`TextPadRenderer()`

### Method Summary

Methods
`String` `defaultFileExtension()` Return the default filename extension to use.
`void` `renderFileViolations(Iterator<RuleViolation> violations)` Render a series of `RuleViolation`s.

### Methods inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

`end, renderFileReport, start, startFileAnalysis`

### Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

`defineProperty, flush, getDescription, getName, getPropertyDefinitions, getWriter, isShowSuppressedViolations, setDescription, setName, setShowSuppressedViolations, setWriter`

### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

`copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.PropertySource

`definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### TextPadRenderer

    public TextPadRenderer()

### Method Detail

#### defaultFileExtension

    public String defaultFileExtension()

Description copied from interface: `Renderer`
Return the default filename extension to use.

Returns:
  String

#### renderFileViolations

    public void renderFileViolations(Iterator<RuleViolation> violations)
                              throws IOException

Render a series of `RuleViolation`s.

Specified by:
  `renderFileViolations` in class `AbstractIncrementingRenderer`
Parameters:
  `violations` - The iterator of violations to render.
Throws:
  `IOException`